{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block content %}
{% include '_post.html' %}


<form action="{{url_for('comments', post_id=post.id)}}" method="POST">
    <div class="row mb-3">
      <div class="col-sm-10">
        {{form.hidden_tag()}}
        {{form.comment(class="form-control", placeholder="Add a comment")}}
      </div>
      <div class="col-sm-2">
        {{form.submit(class="btn btn-primary")}}
      </div>
    </div>
  </form>

  {% if comments %}

<div class="row">
    <div class="col">
            {% for comment in comments %}
            <div class="card mb-3">
                    <div class="card-header">
                      {{ comment.user.username }}
                    </div>
                    <div class="card-body">
                      <blockquote class="blockquote mb-0">
                        <p>{{ comment.body }}</p>
                        <footer class="blockquote-footer">{{moment(comment.timestamp).fromNow()}}</footer>
                      </blockquote>
                    </div>
                  </div>
            {% endfor %}
        </div>
        </div>

{% endif %}
{% endblock %}

